## org.omg.IIOP
Class VersionHelper

    java.lang.Object
      |
      +--org.omg.IIOP.VersionHelper

public class VersionHelper
extends java.lang.Object

Helper class for : Version

Author:
  OpenORB Compiler

Constructor Summary
`VersionHelper()`

Method Summary
`static Version` `extract(Any a)` Extract Version from an any
`static java.lang.String` `id()` Return the Version IDL ID
`static void` `insert(Any a, Version t)` Insert Version into an any
`static Version` `read(InputStream istream)` Read Version from a marshalled stream
`static TypeCode` `type()` Return the Version TypeCode
`static void` `write(OutputStream ostream, Version value)` Write Version into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionHelper

    public VersionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Version t)

  Insert Version into an any
  Parameters:
    `a` - an any
    `t` - Version value

### extract

    public static Version extract(Any a)

  Extract Version from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Version value

### type

    public static TypeCode type()

  Return the Version TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Version IDL ID
  Returns:
    an ID

### read

    public static Version read(InputStream istream)

  Read Version from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Version value

### write

    public static void write(OutputStream ostream,
                             Version value)

  Write Version into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Version value